KKeyServer Namespace Reference

## Classes

struct | Key
struct | Sym
struct | Variations

## Enumerations

enum | ExtraModFlag { MODE_SWITCH = 0x2000 }

## Functions

bool | initializeMods ()
uint | modX (KKey::ModFlag modFlag)
bool | keyboardHasWinKey ()
uint | modXShift ()
uint | modXLock ()
uint | modXCtrl ()
uint | modXAlt ()
uint | modXNumLock ()
uint | modXWin ()
uint | modXScrollLock ()
uint | modXModeSwitch ()
uint | accelModMaskX ()
bool | keyQtToSym (int keyQt, uint &sym)
bool | keyQtToMod (int keyQt, uint &mod)
bool | symToKeyQt (uint sym, int &keyQt)
bool | modToModQt (uint mod, int &modQt)
bool | modToModX (uint mod, uint &modX)
bool | modXToModQt (uint modX, int &modQt)
int | qtButtonStateToMod (Qt::ButtonState s)
bool | modXToMod (uint modX, uint &mod)
bool | codeXToSym (uchar codeX, uint modX, uint &symX)
QString | modToStringInternal (uint mod)
QString | modToStringUser (uint mod)
uint | stringUserToMod (const QString &mod)
bool | stringToSymMod (const QString &, uint &sym, uint &mod)
void | keyQtToKeyX (uint keyCombQt, unsigned char *pKeyCodeX, uint *pKeySymX, uint *pKeyModX)

## Detailed Description

A collection of functions for the conversion of key presses and their modifiers from the window system specific format to the generic format and vice-versa.

## Enumeration Type Documentation

enum KKeyServer::ExtraModFlag

Supplement enum KKey::ModFlag.

Since
  3.1

Definition at line 40 of file kkeyserver_x11.h.

## Function Documentation

uint KKeyServer::accelModMaskX | ( |  | ) |

Returns bitwise OR'ed mask containing Shift, Ctrl, Alt, and Win (if available).

See also
  modXShift()
  modXLock()
  modXCtrl()
  modXAlt()
  modXNumLock()
  modXWin()
  modXScrollLock()

bool KKeyServer::codeXToSym | ( | uchar | codeX,
|  | uint | modX,
|  | uint & | symX
| ) |  |

Converts a X11 key code and a mask of ORed X11 modifiers into a X11 symbol.

converts it to a symbol.

Parameters

  codeX | the X11 key code
  modX | the mask of ORed X11 modifiers
  symX | if successful, the X11 symbol will be written here

Returns
  true if successful, false otherwise

See also
  Qt::Key
  Sym

bool KKeyServer::initializeMods | ( |  | ) |

TODO: please document.

bool KKeyServer::keyboardHasWinKey | ( |  | ) |

Returns true if the current keyboard layout supports the Win key.

Specifically, whether the Super or Meta keys are assigned to an X modifier.

Returns
  true if the keyboard has a Win key

See also
  modXWin()

bool KKeyServer::keyQtToMod | ( | int | keyQt,
|  | uint & | mod
| ) |  |

Extracts the modifiers from the given Qt key and converts them in a mask of ORed KKey::ModFlag modifiers.

Parameters

  keyQt | the qt key code
  mod | if successful, the modifiers will be written here

Returns
  true if successful, false otherwise

See also
  Qt::Key

bool KKeyServer::keyQtToSym | ( | int | keyQt,
|  | uint & | sym
| ) |  |

Extracts the symbol from the given Qt key and converts it to a symbol.

Parameters

  keyQt | the qt key code
  sym | if successful, the symbol will be written here

Returns
  true if successful, false otherwise

See also
  Qt::Key
  Sym

bool KKeyServer::modToModQt | ( | uint | mod,
|  | int & | modQt
| ) |  |

Converts the mask of ORed KKey::ModFlag modifiers to a mask of ORed Qt key code modifiers.

Parameters

  mod | the mask of KKey::ModFlag modifiers
  modQt | the mask of Qt key code modifiers will be written here, if successful

Returns
  true if successful, false otherwise

See also
  Qt::Key
  KKey

bool KKeyServer::modToModX | ( | uint | mod,
|  | uint & | modX
| ) |  |

Converts the mask of ORed KKey::ModFlag modifiers to a mask of ORed X11 modifiers.

Parameters

  mod | the mask of KKey::ModFlag modifiers
  modX | the mask of X11 modifiers will be written here, if successful

Returns
  true if successful, false otherwise

See also
  KKey

QString KKeyServer::modToStringUser | ( | uint | mod | ) |

Converts the mask of ORed KKey::ModFlag modifiers to a user-readable string.

Parameters

  mod | the mask of ORed KKey::ModFlag modifiers

Returns
  the user-readable string

uint KKeyServer::modX | ( | KKey::ModFlag | modFlag | ) |

Returns the equivalent X modifier mask of the given modifier flag.

Parameters

  modFlag | the generic flags to check

Returns
  the window system specific flags

uint KKeyServer::modXAlt | ( |  | ) |

Returns the X11 Alt (Mod1) modifier mask/flag.

Returns
  the X11 Alt (Mod1) modifier mask/flag.

See also
  accelModMaskX()

uint KKeyServer::modXCtrl | ( |  | ) |

Returns the X11 Ctrl modifier mask/flag.

Returns
  the X11 Ctrl modifier mask/flag.

See also
  accelModMaskX()

uint KKeyServer::modXLock | ( |  | ) |

Returns the X11 Lock modifier mask/flag.

Returns
  the X11 Lock modifier mask/flag.

See also
  accelModMaskX()

uint KKeyServer::modXModeSwitch | ( |  | ) |

Returns the X11 Mode_switch modifier mask/flag.

Returns
  the X11 Mode_switch modifier mask/flag.

See also
  accelModMaskX()

Since
  3.5

uint KKeyServer::modXNumLock | ( |  | ) |

Returns the X11 NumLock modifier mask/flag.

Returns
  the X11 NumLock modifier mask/flag.

See also
  accelModMaskX()

uint KKeyServer::modXScrollLock | ( |  | ) |

Returns the X11 ScrollLock modifier mask/flag.

Returns
  the X11 ScrollLock modifier mask/flag.

See also
  accelModMaskX()

uint KKeyServer::modXShift | ( |  | ) |

Returns the X11 Shift modifier mask/flag.

Returns
  the X11 Shift modifier mask/flag.

See also
  accelModMaskX()

bool KKeyServer::modXToMod | ( | uint | modX,
|  | uint & | mod
| ) |  |

Converts the mask of ORed X11 modifiers to a mask of ORed KKey::ModFlag modifiers.

Parameters

  modX | the mask of X11 modifiers
  mod | the mask of KKey::ModFlag modifiers will be written here, if successful

Returns
  true if successful, false otherwise

See also
  KKey

bool KKeyServer::modXToModQt | ( | uint | modX,
|  | int & | modQt
| ) |  |

Converts the mask of ORed X11 modifiers to a mask of ORed Qt key code modifiers.

Parameters

  modX | the mask of X11 modifiers
  modQt | the mask of Qt key code modifiers will be written here if successful

Returns
  true if successful, false otherwise

See also
  Qt::Key

uint KKeyServer::modXWin | ( |  | ) |

Returns the X11 Win (Mod3) modifier mask/flag.

Returns
  the X11 Win (Mod3) modifier mask/flag.

See also
  keyboardHasWinKey()
  accelModMaskX()

int KKeyServer::qtButtonStateToMod | ( | Qt::ButtonState | s | ) |

Converts the Qt-compatible button state to x11 modifier.

uint KKeyServer::stringUserToMod | ( | const QString & | mod | ) |

Converts the modifier given as user-readable string to KKey::ModFlag modifier, or 0.

bool KKeyServer::symToKeyQt | ( | uint | sym,
|  | int & | keyQt
| ) |  |

Converts the given symbol to a Qt key code.

Parameters

  sym | the symbol
  keyQt | if successful, the qt key code will be written here

Returns
  true if successful, false otherwise

See also
  Qt::Key
  Sym

KDE Home | KDE Accessibility Home | Description of Access Keys